import java.io.*;
import java.util.*;

// Задача "Число-палиндром"
// 10-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор условия: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Максим Буздалов, buzdalov@rain.ifmo.ru

public class number_mb {
    static boolean isPalindrome(int n, int base) {
        int[] values = new int[100];
        int count = 0;
        while (n > 0) {
            values[count++] = n % base;
            n /= base;
        }
        for (int i = 0; i < (count - i - 1); i++) {
            if (values[i] != values[count - i - 1]) {
                return false;
            }
        }
        return true;
    }

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(new File("number.in"));
        PrintWriter out = new PrintWriter("number.out");

        int n = in.nextInt();

        assert 1 <= n && n <= 1000000000;

        int[] matches = new int[37];
        int count = 0;

        for (int b = 2; b <= 36; b++) {
            if (isPalindrome(n, b)) {
                matches[count++] = b;
            }    
        }

        if (count == 0) {
            out.println("none");
        } else if (count == 1) {
            out.println("unique");
        } else {
            out.println("multiple");
        }
        for (int i = 0; i < count; i++) {
            out.print(matches[i] + " ");
        }

        in.close();
        out.close();
    }
}